Uploaded image for project: 'Helm'
  1. Helm
  2. HELM-166

Grafana integration seems to be broken since v6.3.0

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 3.0.1
    • Fix Version/s: 4.0.0
    • Component/s: PM Datasource
    • Labels:
    • Environment:
      Ubuntu v16.04.6 LTS
      OpenNMS v24.1.2
      Grafana v6.2.5 works, v6.3.0/v6.3.1/v6.3.2 don't work
    • Sprint:
      Horizon 2019 - July 31st

      Description

      After updating Grafana to Version 6.3.2 today approximately 3/4 of my OpenNMS-based graphs are broken. It seems that this happens when I use expressions and hide the original metrics in the Query Editor. For me it looks like that when I hide a metric I'm not longer allowed to use it in an expression. My current workaround is to use v6.2.5:

      # apt install grafana=6.2.5
      # apt-mark hold grafana
      

      Another workaround is not to hide the metrics and use "Add series override" to set for the metrics Lines=false, Line fill=0, Legend=false

        Attachments

          Activity

            People

            Assignee:
            j-white Jesse White
            Reporter:
            cpape Christian Pape
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Git Integration